Bug 222711 - [New port] graphics/instant-meshes: Interactive field-aligned mesh generator
Summary: [New port] graphics/instant-meshes: Interactive field-aligned mesh generator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-01 00:41 UTC by Greg V
Modified: 2018-01-26 23:55 UTC (History)
1 user (show)

See Also:


Attachments
instant-meshes.patch (6.91 KB, patch)
2017-10-01 00:41 UTC, Greg V
no flags Details | Diff
instant-meshes.patch v2 (7.23 KB, patch)
2017-10-01 23:33 UTC, Greg V
no flags Details | Diff
instant-meshes.patch v3 (7.01 KB, patch)
2017-10-25 19:50 UTC, Greg V
no flags Details | Diff
shar (10.96 KB, text/plain)
2017-11-08 07:18 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2017-10-01 00:41:35 UTC
Created attachment 186825 [details]
instant-meshes.patch

New port for a 3D mesh retopology application 
https://github.com/wjakob/instant-meshes

There are no git tags, no version numbers anywhere.
Comment 1 Greg V 2017-10-01 23:33:43 UTC
Created attachment 186843 [details]
instant-meshes.patch v2

Improved icon installation. (The original icon is 680x665 for some reason lol)
Comment 2 Greg V 2017-10-25 19:50:19 UTC
Created attachment 187472 [details]
instant-meshes.patch v3

Added commit based version, multiple icons, etc.
Comment 3 Yuri Victorovich freebsd_committer 2017-11-08 07:18:13 UTC
Created attachment 187840 [details]
shar

Greg,

I reworked the port. Unbundled tbb that was in conflict, fixed .desktop path and Exec in it, added pkg-message.

Additionally, nanogui and nanovg should be split out into their own ports. Arch linux does this (see https://aur.archlinux.org/packages/nanogui-git).


Yuri
Comment 4 Yuri Victorovich freebsd_committer 2017-12-25 22:10:47 UTC
Status: the upcoming x11-toolkits/nanogui port is held up by https://github.com/wjakob/nanogui/issues/291
Comment 5 Yuri Victorovich freebsd_committer 2018-01-26 23:54:49 UTC
Committed with changes.
Thank you for your contribution!
Comment 6 commit-hook freebsd_committer 2018-01-26 23:55:38 UTC
A commit references this bug:

Author: yuri
Date: Fri Jan 26 23:54:47 UTC 2018
New revision: 460064
URL: https://svnweb.freebsd.org/changeset/ports/460064

Log:
  New port: graphics/instant-meshes: Interactive field-aligned mesh generator

  This application is developed by Wenzel Jakob and implements a novel
  approach in managing and display of 3D meshes.

  See the screenshot here:
  https://github.com/wjakob/instant-meshes/raw/master/resources/screenshot.jpg

  PR:		222711
  Submitted by:	Greg V <greg@unrelenting.technology>
  Approved by:	tcberner (mentor)
  Differential Revision:	D13661

Changes:
  head/graphics/Makefile
  head/graphics/instant-meshes/
  head/graphics/instant-meshes/Makefile
  head/graphics/instant-meshes/distinfo
  head/graphics/instant-meshes/files/
  head/graphics/instant-meshes/files/instant-meshes.desktop
  head/graphics/instant-meshes/files/patch-CMakeLists.txt
  head/graphics/instant-meshes/files/patch-ext_nanogui_CMakeLists.txt
  head/graphics/instant-meshes/files/patch-ext_nanogui_src_common.cpp
  head/graphics/instant-meshes/pkg-descr
  head/graphics/instant-meshes/pkg-message
  head/graphics/instant-meshes/pkg-plist